Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	An HTTP and WebDAV client library
Name: 		neon
Version: 	0.29.5
Release: 	1
URL: 		http://www.webdav.org/neon/
Source0: 	http://www.webdav.org/neon/neon-%{version}.tar.gz
Patch0: 	neon-0.27.0-multilib.patch
License: 	LGPLv2+
Group: 		System/Libraries
Prefix: 	%{_prefix}
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires:	nss-tools
BuildRequires:	pakchois-devel

#Automatically resolved build dependencies
BuildRequires: e2fsprogs-devel
BuildRequires: expat-devel
BuildRequires: glibc-devel
BuildRequires: gnutls-devel
BuildRequires: krb5-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libtasn1-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
neon is an HTTP and WebDAV client library, with a C interface;
providing a high-level interface to HTTP and WebDAV methods along
with a low-level interface for HTTP request handling.  neon
supports persistent connections, proxy servers, basic, digest and
Kerberos authentication, and has complete SSL support.

%package devel
Summary: 	Development libraries and C header files for the neon library
Group:	 	Development/Libraries
Requires: 	neon = %{version}-%{release}, gnutls-devel, zlib-devel, expat-devel
Requires: 	pkgconfig

%description devel
The development library for the C language HTTP and WebDAV client library.

%prep
%setup -q
%patch0 -p1

%build
export CC="%{__cc} -pthread"
%configure --with-expat --enable-shared --disable-static \
        --enable-warnings \
        --with-ssl=gnutls --enable-threadsafe-ssl=posix
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

sed -ri "/^dependency_libs/{s,-l[^ ']*,,g}" \
      $RPM_BUILD_ROOT%{_libdir}/libneon.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS TODO src/COPYING.LIB NEWS README THANKS
%{_libdir}/libneon.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/neon-config
%{_includedir}/neon
%{_libdir}/pkgconfig/neon.pc
%{_mandir}/man1/neon-config.1.gz
%{_mandir}/man3/ne_addr_destroy.3.gz                                                                                        
%{_mandir}/man3/ne_add_request_header.3.gz                                                                                  
%{_mandir}/man3/ne_addr_error.3.gz                                                                                          
%{_mandir}/man3/ne_addr_first.3.gz                                                                                          
%{_mandir}/man3/ne_addr_next.3.gz                                                                                           
%{_mandir}/man3/ne_addr_resolve.3.gz                                                                                        
%{_mandir}/man3/ne_addr_result.3.gz                                                                                         
%{_mandir}/man3/ne_buffer.3.gz                                                                                              
%{_mandir}/man3/ne_buffer_altered.3.gz                                                                                      
%{_mandir}/man3/ne_buffer_append.3.gz                                                                                       
%{_mandir}/man3/ne_buffer_clear.3.gz                                                                                        
%{_mandir}/man3/ne_buffer_concat.3.gz                                                                                       
%{_mandir}/man3/ne_buffer_create.3.gz                                                                                       
%{_mandir}/man3/ne_buffer_destroy.3.gz                                                                                      
%{_mandir}/man3/ne_buffer_finish.3.gz                                                                                       
%{_mandir}/man3/ne_buffer_grow.3.gz                                                                                         
%{_mandir}/man3/ne_buffer_ncreate.3.gz                                                                                      
%{_mandir}/man3/ne_buffer_zappend.3.gz                                                                                      
%{_mandir}/man3/ne_calloc.3.gz                                                                                              
%{_mandir}/man3/ne_close_connection.3.gz                                                                                    
%{_mandir}/man3/ne_forget_auth.3.gz                                                                                         
%{_mandir}/man3/ne_get_error.3.gz                                                                                           
%{_mandir}/man3/ne_get_request_flag.3.gz                                                                                    
%{_mandir}/man3/ne_get_response_header.3.gz                                                                                 
%{_mandir}/man3/ne_get_scheme.3.gz                                                                                          
%{_mandir}/man3/ne_get_server_hostport.3.gz
%{_mandir}/man3/ne_get_session_flag.3.gz
%{_mandir}/man3/ne_get_status.3.gz
%{_mandir}/man3/ne_has_support.3.gz
%{_mandir}/man3/ne_i18n_init.3.gz
%{_mandir}/man3/ne_iaddr_cmp.3.gz
%{_mandir}/man3/ne_iaddr_free.3.gz
%{_mandir}/man3/ne_iaddr_make.3.gz
%{_mandir}/man3/ne_iaddr_print.3.gz
%{_mandir}/man3/ne_iaddr_typeof.3.gz
%{_mandir}/man3/ne_malloc.3.gz
%{_mandir}/man3/neon.3.gz
%{_mandir}/man3/ne_oom_callback.3.gz
%{_mandir}/man3/ne_print_request_header.3.gz
%{_mandir}/man3/ne_qtoken.3.gz
%{_mandir}/man3/ne_realloc.3.gz
%{_mandir}/man3/ne_request_create.3.gz
%{_mandir}/man3/ne_request_destroy.3.gz
%{_mandir}/man3/ne_request_dispatch.3.gz
%{_mandir}/man3/ne_response_header_iterate.3.gz
%{_mandir}/man3/ne_session_create.3.gz
%{_mandir}/man3/ne_session_destroy.3.gz
%{_mandir}/man3/ne_session_proxy.3.gz
%{_mandir}/man3/ne_set_connect_timeout.3.gz
%{_mandir}/man3/ne_set_error.3.gz
%{_mandir}/man3/ne_set_proxy_auth.3.gz
%{_mandir}/man3/ne_set_read_timeout.3.gz
%{_mandir}/man3/ne_set_request_body_buffer.3.gz
%{_mandir}/man3/ne_set_request_body_fd.3.gz
%{_mandir}/man3/ne_set_request_body_fd64.3.gz
%{_mandir}/man3/ne_set_request_flag.3.gz
%{_mandir}/man3/ne_set_server_auth.3.gz
%{_mandir}/man3/ne_set_session_flag.3.gz
%{_mandir}/man3/ne_set_useragent.3.gz
%{_mandir}/man3/ne_shave.3.gz
%{_mandir}/man3/ne_sock_exit.3.gz
%{_mandir}/man3/ne_sock_init.3.gz
%{_mandir}/man3/ne_ssl_cert_cmp.3.gz
%{_mandir}/man3/ne_ssl_cert_export.3.gz
%{_mandir}/man3/ne_ssl_cert_free.3.gz
%{_mandir}/man3/ne_ssl_cert_identity.3.gz
%{_mandir}/man3/ne_ssl_cert_import.3.gz
%{_mandir}/man3/ne_ssl_cert_issuer.3.gz
%{_mandir}/man3/ne_ssl_cert_read.3.gz
%{_mandir}/man3/ne_ssl_cert_signedby.3.gz
%{_mandir}/man3/ne_ssl_cert_subject.3.gz
%{_mandir}/man3/ne_ssl_cert_write.3.gz
%{_mandir}/man3/ne_ssl_clicert_decrypt.3.gz
%{_mandir}/man3/ne_ssl_clicert_encrypted.3.gz
%{_mandir}/man3/ne_ssl_clicert_free.3.gz
%{_mandir}/man3/ne_ssl_clicert_name.3.gz
%{_mandir}/man3/ne_ssl_clicert_owner.3.gz
%{_mandir}/man3/ne_ssl_clicert_read.3.gz
%{_mandir}/man3/ne_ssl_dname_cmp.3.gz
%{_mandir}/man3/ne_ssl_readable_dname.3.gz
%{_mandir}/man3/ne_ssl_set_verify.3.gz
%{_mandir}/man3/ne_ssl_trust_cert.3.gz
%{_mandir}/man3/ne_ssl_trust_default_ca.3.gz
%{_mandir}/man3/ne_status.3.gz
%{_mandir}/man3/ne_strdup.3.gz
%{_mandir}/man3/ne_strndup.3.gz
%{_mandir}/man3/ne_token.3.gz
%{_mandir}/man3/ne_version_match.3.gz
%{_mandir}/man3/ne_version_string.3.gz
%{_mandir}/man3/ne_xml_create.3.gz
%{_mandir}/man3/ne_xml_destroy.3.gz
%{_libdir}/libneon.la
%{_libdir}/libneon.so

%changelog
* Fri Oct 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.29.5-1
- Version update
* Wed Jan 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.29.3-1
- Version Update
* Wed Sep 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.29.0-1
- Version Update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.28.3-1
- Version Update
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.28.2-2
- rebuilt against gnutls 2.2.2
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.28.2-1
- Version Update
* Mon Mar 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.28.1-1
- Version Update
* Thu Feb 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.28.0-2
- added pkgconfig patch
* Thu Feb 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.28.0-1
- Version update
* Fri Nov 23 2007 Christian Metzen <metzench@ccux-linux.de> 0.27.2-1
- Version update
* Sun Jan 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.25.5-1
- Version Update
* Fri Oct 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.25.4-1
- Version update
* Fri Jul 08 2005 Karsten Brockmkann <brockmka@rz.fh-augsburg.de> 0.25.1-2
- rebuilt against openssl 0.9.8
* Thu Jun 30 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.25.1-1
- Version Update to 0.25.1
* Fri Jan 14 2005 Christian Metzen <metzench@ccux-linux.de> 0.24.6-1
- Initial Release
